Loading...
Searching...
No Matches
fourdst::config::exceptions::SchemaSaveError Class Referencefinal

Thrown when generating or saving the JSON schema fails. More...

`#include <exceptions.h>`

Inheritance diagram for fourdst::config::exceptions::SchemaSaveError:
[legend]
Collaboration diagram for fourdst::config::exceptions::SchemaSaveError:
[legend]

## Private Member Functions

| ConfigError (const std::string &what)
| Constructs a ConfigError with a specific message.

## Additional Inherited Members

Public Member Functions inherited from fourdst::config::exceptions::ConfigError
| ConfigError (const std::string &what)
| Constructs a ConfigError with a specific message.
const char * | what () const noexcept override
| Returns the error message.

## Detailed Description

Thrown when generating or saving the JSON schema fails.

This typically indicates file I/O errors when writing the schema file.

## Member Function Documentation

## ConfigError()

fourdst::config::exceptions::ConfigError::ConfigError | ( | const std::string & | what | ) |

inlineexplicitprivate

Constructs a ConfigError with a specific message.

Parameters

  what | The error message.

The documentation for this class was generated from the following file:

- src/config/include/fourdst/config/exceptions/exceptions.h